#!/usr/bin/perl -w

########################################################
#
# Dieses Perl-Skript liest die Ausgabe von Limboole und
# gibt eine graphische Darstellung der von Limboole
# gefundenen Lsung aus.
#
# Beachte:
# * Wenn Limboole keine Lsung finden konnte,
#   besteht die Ausgabe aus lauter Nullen. 
# * Wenn die von sdk2lim.c erzeugte Formel fehlerhaft
#   ist und die Sudoku-Regeln nicht korrekt beschreibt,
#   ist die Ausgabe in der Regel kein korrekte Lsung.
#
########################################################

use strict;

########################################################

# Dimension des Sudoku-Puzzles
# (2 bedeutet 4x4, 3 bedeutet 9x9 etc)
my $felder = 3;

########################################################

my $dim = $felder * $felder;

my $line;
my @feld = ();

foreach $line (<STDIN>) {
    chomp($line);
    if ($line =~ "v_(.+)_(.+)_(.+) = 1") {
	$feld[($1-1)*$dim + ($2-1)] = $3;
    }
}

my $i;
for ($i = 0; $i < $dim*$dim; $i++) {
    if (!defined($feld[$i])) {  $feld[$i] = 0 ; }
    print "$feld[$i] ";
    print "\n" if ($i+1) % $dim == 0;
}
